#### write (7 of 16 overloads)

Write a certain amount of data to a stream before returning.

    template<
        typename SyncWriteStream,
        typename DynamicBuffer_v1,
        typename CompletionCondition>
    std::size_t write(
        SyncWriteStream & s,
        DynamicBuffer_v1 && buffers,
        CompletionCondition completion_condition,
        constraint_t< is_dynamic_buffer_v1< decay_t< DynamicBuffer_v1 > >::value >  = 0,
        constraint_t< !is_dynamic_buffer_v2< decay_t< DynamicBuffer_v1 > >::value >  = 0);

This function is used to write a certain number of bytes of data to a stream. The call will block until one of the following conditions is true:

- All of the data in the supplied dynamic buffer sequence has been written.
- The completion_condition function object returns 0.

This operation is implemented in terms of zero or more calls to the stream's write_some function.

###### Parameters

s

  The stream to which the data is to be written. The type must support the SyncWriteStream concept.

buffers

  The dynamic buffer sequence from which data will be written. Successfully written data is automatically consumed from the buffers.

completion_condition

  The function object to be called to determine whether the write operation is complete. The signature of the function object must be:

      std::size_t completion_condition(
        // Result of latest write_some operation.
        const asio::error_code& error,

        // Number of bytes transferred so far.
        std::size_t bytes_transferred
      );

  A return value of 0 indicates that the write operation is complete. A non-zero return value indicates the maximum number of bytes to be written on the next call to the stream's write_some function.

###### Return Value

The number of bytes transferred.

###### Exceptions

asio::system_error

  Thrown on failure.